Dataset queries
List Hubble datasets
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/analytics/datasets"{ "database": "stellar_hubble", "coverage": { "completedRanges": [ { "firstLedger": "2", "lastLedger": "63489999" }, { "firstLedger": "63490304", "lastLedger": "63490367" } ], "contiguousFirstLedger": "2", "contiguousLastLedger": "63489999", "contiguousLedgerCount": "63489998", "supplementalLedgerCount": "64", "totalLedgerCount": "63490062", "nextLedger": "63490000", "minimumLedger": "2", "maximumLedger": "63490367", "gapCount": 1 }, "datasets": [ { "columns": [ { "name": "transaction_hash", "position": 1, "type": "String" } ], "name": "history_transactions", "rowCount": "25000000" } ], "generatedAt": "2026-07-15T16:44:00.000Z", "ingestion": { "completedBatches": "62002", "failedBatches": "0", "startedBatches": "1", "minimumLedger": "2", "maximumLedger": "63490367", "totalRows": "125000000" }, "officialSchemaSource": "stellar/stellar-etl"}